#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Package maintainers to append LDFLAGS.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYBUILD_NAME=pyfsfat
export SKIP_PYTHON_TESTS=1

%:
	dh $@ --with autoreconf,python3 --buildsystem=pybuild --buildsystem=autoconf


override_dh_auto_configure:
	dh_auto_configure -- --enable-python

override_dh_missing:
	dh_missing --fail-missing -X.la -Xpyfsfat.a

override_dh_install:
	dh_install -X.la -Xpyfsfat.a
